gin:
  css:
    theme:
      dist/css/base/gin.css: { minified: false }
  dependencies:
    - gin/gin_base
    - gin/legacy_css

# Base

gin_base:
  css:
    component:
      dist/css/theme/font.css: { minified: false }
      dist/css/theme/variables.css: { minified: false }
  dependencies:
    - gin/tabs
    - gin/dialog

# Legacy

gin_ckeditor:
  dependencies:
    - gin/ckeditor

gin_init:
  header: true
  js:
    dist/js/init.js: { minified: false, preprocess: false, weight: -99 }
  dependencies:
    - core/drupalSettings

# Top bar
top_bar:
  css:
    component:
      dist/css/components/top_bar.css: { minified: false }

# Navigation

navigation:
  css:
    component:
      dist/css/components/toolbar.css: { minified: false }
      dist/css/components/toolbar_secondary.css: { minified: false }
    theme:
      dist/css/layout/navigation.css: { minified: false }
      dist/css/components/tooltip.css: { minified: false }
  js:
    js/navigation/navigation.js: { minified: false }
  dependencies:
    - gin/floating-ui
    - gin/escape_admin
    - gin/coffee
    - gin/node_preview
    - gin/responsive_preview
    - gin/contextual_links
    - gin/breadcrumb
    - gin/settings_tray
    - gin/settings_tray_edit
    - core/drupalSettings
    - core/once
    - core/drupal.displace

core_navigation:
  css:
    component:
      dist/css/components/toolbar.css: { minified: false }
      dist/css/components/toolbar_secondary.css: { minified: false }
    theme:
      dist/css/layout/core_navigation.css: { minified: false }
  js:
    dist/js/core_navigation.js: { minified: false }
  dependencies:
    - gin/escape_admin
    - gin/coffee
    - gin/node_preview
    - gin/responsive_preview
    - gin/contextual_links
    - gin/breadcrumb
    - gin/settings_tray
    - gin/settings_tray_edit

gin_toolbar:
  css:
    component:
      dist/css/components/toolbar.css: { minified: false }
      dist/css/components/toolbar_secondary.css: { minified: false }
    theme:
      dist/css/layout/toolbar.css: { minified: false }
  js:
    dist/js/toolbar.js: { minified: false }
  dependencies:
    - gin/escape_admin
    - gin/coffee
    - gin/node_preview
    - gin/responsive_preview
    - gin/contextual_links
    - gin/breadcrumb
    - gin/settings_tray
    - gin/settings_tray_edit
    - core/drupalSettings
    - core/once
    - core/drupal.displace

gin_horizontal_toolbar:
  css:
    component:
      dist/css/components/toolbar.css: { minified: false }
      dist/css/components/toolbar_secondary.css: { minified: false }
    theme:
      dist/css/layout/horizontal_toolbar.css: { minified: false }
  js:
    dist/js/toolbar.js: { minified: false }
  dependencies:
    - gin/escape_admin
    - gin/coffee
    - gin/node_preview
    - gin/responsive_preview
    - gin/contextual_links
    - gin/breadcrumb
    - gin/settings_tray
    - gin/settings_tray_edit
    - core/once

gin_classic_toolbar:
  css:
    component:
      dist/css/components/toolbar.css: { minified: false }
    theme:
      dist/css/layout/classic_toolbar.css: { minified: false }
  js:
    dist/js/toolbar.js: { minified: false }
  dependencies:
    - gin/escape_admin
    - gin/coffee
    - gin/node_preview
    - gin/contextual_links
    - gin/breadcrumb
    - gin/settings_tray_edit
    - core/once

# Accent

gin_accent:
  css:
    theme:
      dist/css/theme/accent.css: { minified: false }
  js:
    dist/js/accent.js: { minified: false }
  dependencies:
    - core/drupalSettings
    - core/once

# Libraries

gin_dialog:
  css:
    theme:
      dist/css/theme/dialog.css: { minified: false }
  dependencies:
    - gin/dialog
    - gin/gin_base
    - gin/gin_accent

gin_description_toggle:
  css:
    theme:
      dist/css/components/description_toggle.css: { minified: false }
  js:
    dist/js/description_toggle.js: { minified: false }

escape_admin:
  js:
    dist/js/escape_admin.js: { minified: false }
  dependencies:
    - core/once

messages:
  js:
    dist/js/messages.js: { minified: false }
  dependencies:
    - core/once

dropbutton:
  js:
    dist/js/dropbutton.js: { minified: false }
  dependencies:
    - core/once

# Custom CSS

gin_custom_css:
  css:
    theme:
      public://gin-custom.css: { preprocess: false, minified: false, weight: 100 }

# Libs

once:
  js:
    js/libs/once.js: { minified: true, weight: -1 }

scrollsync:
  js:
    js/libs/scrollsync.js: { minified: true, weight: -1 }

floating-ui:
  js:
    js/navigation/vendor/floating-ui/floating-ui.core.umd.js: { minified: true }
    js/navigation/vendor/floating-ui/floating-ui.dom.umd.js: { minified: true }
  dependencies:
    - core/once

# Overrides

gin_media_embed_ckeditor_theme:
  js:
    js/overrides/media_embed_ckeditor.theme.js: { minified: false }

webform_ui:
  js:
    js/overrides/webform_ui.js: { minified: false }

# Components

sticky:
  js:
    dist/js/sticky.js: { minified: false }
  dependencies:
    - gin/tooltip
    - core/drupal.displace
    - core/once

sidebar:
  css:
    theme:
      dist/css/components/sidebar.css: { minified: false }
  js:
    dist/js/sidebar.js: { minified: false }
  dependencies:
    - core/once

settings:
  js:
    dist/js/settings.js: { minified: false }
  css:
    component:
      dist/css/components/settings.css: { minified: false }
  dependencies:
    - core/drupalSettings

tableselect:
  css:
    component:
      dist/css/components/tableselect.css: { minified: false }

tableheader:
  js:
    dist/js/tableheader.js: { minified: false }
  dependencies:
    - core/once
    - gin/scrollsync

tabs:
  css:
    component:
      dist/css/components/tabs.css: { minified: false, weight: 99 }

tooltip:
  js:
    dist/js/tooltip.js: { minified: false }
  css:
    component:
      dist/css/components/tooltip.css: { minified: false }
  dependencies:
    - gin/floating-ui
    - core/once

more_actions:
  js:
    dist/js/more_actions.js: { minified: false }
  css:
    layout:
      dist/css/components/more_actions.css: { minified: false }
  dependencies:
    - core/once

edit_form:
  css:
    layout:
      dist/css/components/edit_form.css: { minified: false }

media_library:
  css:
    theme:
      dist/css/components/media_library.css: { minified: false, weight: 99 }

contextual_links:
  css:
    theme:
      dist/css/components/contextual_links.css: { minified: false, weight: 99 }

dialog:
  css:
    theme:
      dist/css/components/dialog.css: { minified: false, weight: 99 }

ckeditor:
  js:
    dist/js/gin_ckeditor.js: { minified: false }
  css:
    theme:
      dist/css/components/ckeditor.css: { minified: false }
  dependencies:
    - core/drupalSettings
    - core/once

ckeditor5:
  css:
    theme:
      dist/css/components/ckeditor5.css: { minified: false }

ajax:
  css:
    theme:
      dist/css/components/ajax.css: { minified: false, weight: 99 }

revisions:
  css:
    theme:
      dist/css/components/revisions.css: { minified: false }

autocomplete:
  css:
    theme:
      dist/css/components/autocomplete.css: { minified: false }

breadcrumb:
  css:
    theme:
      dist/css/components/breadcrumb.css: { minified: false }

coffee:
  css:
    component:
      dist/css/components/coffee.css: { minified: false }

node_preview:
  css:
    component:
      dist/css/components/node_preview.css: { minified: false }

settings_tray:
  css:
    component:
      dist/css/components/settings_tray.css: { minified: false }

settings_tray_edit:
  css:
    component:
      dist/css/components/settings_tray_edit.css: { minified: false }

maintenance_page:
  css:
    theme:
      dist/css/components/maintenance_page.css: { minified: false }
  dependencies:
    - system/maintenance
    - gin/gin
    - gin/gin_accent
    - gin/gin_init

# Modules

paragraphs:
  css:
    component:
      dist/css/components/paragraphs.css: { minified: false }

layout_paragraphs:
  css:
    component:
      dist/css/components/layout_paragraphs.css: { minified: false }

layout_paragraphs2:
  css:
    component:
      dist/css/components/layout_paragraphs_2.0.css: { minified: false }

entity_reference_layout:
  css:
    component:
      dist/css/components/entity_reference_layout.css: { minified: false }

responsive_preview:
  css:
    component:
      dist/css/components/responsive_preview.css: { minified: false }

upgrade_status:
  css:
    component:
      dist/css/components/upgrade_status.css: { minified: false }

webform:
  css:
    component:
      dist/css/components/webform.css: { minified: false }

workbench:
  css:
    component:
      dist/css/components/workbench.css: { minified: false }

autosave:
  css:
    component:
      dist/css/components/autosave.css: { minified: false }

module_filter:
  css:
    component:
      dist/css/components/module_filter.css: { minified: false }

chosen:
  css:
    component:
      dist/css/components/chosen.css: { minified: false }

dropzonejs:
  css:
    component:
      dist/css/components/dropzonejs.css: { minified: false }

entity_browser:
  css:
    component:
      dist/css/components/entity_browser.css: { minified: false }

inline_entity_form:
  css:
    component:
      dist/css/components/inline_entity_form.css: { minified: false }

linkit:
  css:
    component:
      dist/css/components/linkit.css: { minified: false }

# Legacy

legacy_css:
  css:
    theme:
      dist/css/theme/legacy.css: { minified: false }

workspaces:
  css:
    component:
      dist/css/components/workspaces.css: { minified: false }

project_browser:
  css:
    theme:
      dist/css/components/project_browser.css: { minified: false }
